Summary:	Very fast and light web browser
Name:		dillo
Version:	2.0
Release:	%{mkrel 1}
Source0:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
Source1:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2.asc 
# (cjw) aclocal complains about a line in configure.in that doesn't make sense, so remove the line
#Patch1:		dillo-0.8.6-configure-fix.patch
URL:		http://www.dillo.org/
# The OpenSSL exception is in dpi/https.c - AdamW 2008/12
License:	GPLv3+ with exceptions
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildrequires:	libjpeg-devel
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
Buildrequires:	openssl-devel
BuildRequires:	fltk2-devel
BuildRequires:	X11-devel

%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary. It is a graphical browser built upon FLTK2 and currently
renders a subset of HTML (no frames, no JavaScript, and no JVM).

%prep
%setup -q

%build
%configure2_5x --disable-dlgui --enable-ipv6

%make
%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 dillorc %{buildroot}%{_sysconfdir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Dillo
Comment=A simple web browser
Exec=%{_bindir}/dillo
Icon=networking_www_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* INSTALL NEWS README
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_libdir}/%{name}/
%config(noreplace) %{_sysconfdir}/dillorc
%config(noreplace) %{_sysconfdir}/dpidrc



%changelog
* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.com> 2.0-1mdv2009.1
+ Revision: 312368
- buildrequires X11-devel
- buildrequires fltk2-devel (now fltk2-based not GTK+-based)
- clean doc file list
- drop MDV menu category
- drop the patch (no longer needed)
- new license policy
- cleanups
- new version 2.0
- drop unnecessary defines

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.6-4mdv2009.0
+ Revision: 266561
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Christiaan Welvaart <spturtle@mandriva.org> 0.8.6-3mdv2009.0
+ Revision: 213579
- move autotools calls from %%prep to %%build
- drop build dependency on fltk since it wasn't used
- patch1: fix build by removing a line from configure.in
- build the app in %%build, not in %%install
- enable IPv6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-2mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import dillo


* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-2mdv2007.0
- XDG

* Tue Jun 12 2006 Charles A Edwards <eslrahc@mandriva.org 0.8.6-1mdv2007.0
- 0.8.6

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.5-3mdk
- enable ssl support
- buildrequires fltk-devel

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.5-2mdk
- rebuild against openssl-0.9.8

* Wed Aug 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5-1mdk
- New release 0.8.5

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Sat Sep 18 2004 Michael Scherer <misc@mandrake.org> 0.8.2-2mdk 
- change menu

* Tue Jul 13 2004 Franck Villaume <fvill@mandrakesoft.com> 0.8.2-1mdk
- New release 0.8.2

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk
- New release 0.8.1
- rpmbuildupdate aware

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- change menu
- more macros
 
* Thu Aug 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- use makeinstall_std transform="" (thx Torstein Dybdahl)

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1.2-1mdk
- 0.7.1.2

* Mon Feb 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- adjust buildrequires (Ed Avis)

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6
- new url

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-2mdk
- /etc/dillorc

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Fix menu entry

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- updated desc.

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild against new libpng

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-3mdk
- rebuild

* Fri Feb 23 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-1mdk
- updated to 0.3.2

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.3.1-1mdk 
- updated to 0.3.1

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.4-1mdk
- menu
- v0.2.4

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-3mdk
- BM

* Tue Jul 18 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-2mdk
- macrozification

* Mon Jun 01 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.2.2-1mdk
- initial packaging
